> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kryptonfund.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Estimate Swap



## OpenAPI

````yaml /api-reference/krypton_web3.json post /pools/estimate
openapi: 3.1.0
info:
  title: Krypton Web3
  version: 0.1.0
servers:
  - url: https://kryptonweb3-production.up.railway.app/
    description: Production API
  - url: http://127.0.0.1:8001
    description: Local API
security: []
paths:
  /pools/estimate:
    post:
      tags:
        - pools
      summary: Estimate Swap
      operationId: estimate_swap_pools_estimate_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EstimateSwapRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EstimateSwapRequest:
      properties:
        from_token:
          type: string
          title: From Token
          description: Symbol of token to swap from (e.g., kUSD or USD)
        to_token:
          type: string
          title: To Token
          description: Symbol of token to receive (e.g., kEUR or EUR)
        amount:
          type: number
          exclusiveMinimum: 0
          title: Amount
          description: Amount in token units
        slippage_tolerance:
          anyOf:
            - type: number
            - type: 'null'
          title: Slippage Tolerance
          description: Fractional slippage, default 5%
          default: 0.05
      type: object
      required:
        - from_token
        - to_token
        - amount
      title: EstimateSwapRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````